关闭

新版本中Xcode插件失效

标签: 解决方案插件安装xcode
161人阅读 评论(0) 收藏 举报
分类:

一、可能由于Xcode安装插件重启后有提示Skip Bundle和Load Bundle,不小心选错了Skip Bundle,这将到时插件未启动。

解决方案:
1.找到Xcode插件安装目录(前往~/Library/Application Support/Developer/Shared/Xcode/Plug-ins/ )
这里写图片描述
2.找到该插件包,打开comment包文件中的info.plist
这里写图片描述

这里写图片描述

这里写图片描述
3.删除你当前版本的XcodeUUID,保存之后退出Xcode
4.再次进入之前的插件安装目录添加你当前Xcode的UUID,保存退出Xcode
4.退出Xcode重启即出现Xcode安装插件提示

二、在Xcode5之后需要在插件info.plist目录中需要包含你当前版本的XcodeUUID,如果没有的话需要手动添加下。

解决方案:
1.获取XcodeUUID,命令行输入defaults read /Applications/Xcode.app/Contents/Info DVTPlugInCompatibilityUUID
2.将串号复制到插件工程中的info.plist中的DVTPlugInCompatibilityUUIDs下添加新的键值对,value即XcodeUUID(即命令行中显示的串号)
3.重启Xcode

0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:4769次
    • 积分:319
    • 等级:
    • 排名:千里之外
    • 原创:28篇
    • 转载:4篇
    • 译文:0篇
    • 评论:0条